#include <string.h>
#ifdef IMGLIB_3_2_0_1
#include <imglib.h>
#else
#include <inc/imglib.h>
#endif

#define WIDTH 1024
#define HEIGHT 1024

unsigned char ImageSrc[WIDTH*HEIGHT];
unsigned char ImageDst[WIDTH*HEIGHT];

int main()
{
	memset(ImageSrc, 0, sizeof(ImageSrc));
	memset(ImageDst, 0, sizeof(ImageDst));

	while (1)
	{
		IMG_sobel_3x3_8(ImageSrc, ImageDst, WIDTH, HEIGHT);
	}
}
